within Heatpump_singleSpeed;
  block Fan_Control
    Modelica.Blocks.Interfaces.RealInput Cooling_u
      annotation (Placement(transformation(extent={{-132,16},{-92,56}})));
    Modelica.Blocks.Interfaces.RealInput Heating_u
      annotation (Placement(transformation(extent={{-130,-66},{-90,-26}})));
    Modelica.Blocks.Interfaces.RealOutput y
      annotation (Placement(transformation(extent={{98,0},{118,20}})));

    parameter Real cooling_nominal_flow;
    parameter Real heating_nominal_flow;



  equation
    if (Cooling_u) <= -0.99 then
      y = cooling_nominal_flow;
    elseif (Heating_u) >= 0.99 then
      y = heating_nominal_flow;
    else
      y =0;
    end if
    annotation (
      Icon(coordinateSystem(preserveAspectRatio=false)),
      Diagram(coordinateSystem(preserveAspectRatio=false)),
      uses(Modelica(version="4.0.0")));
    annotation (Icon(graphics={
          Rectangle(extent={{-92,54},{102,-66}}, lineColor={28,108,200}),
          Rectangle(extent={{-100,52},{100,-42}}, lineColor={28,108,200}),
          Rectangle(extent={{-104,50},{104,-50}}, lineColor={28,108,200})}));
  end Fan_Control;